## Class Auth_Yadis_Service

Description

This class represents a <Service> element in an XRDS document.

Objects of this type are returned by Auth_Yadis_XRDS::services() and Auth_Yadis_Yadis::services(). Each object corresponds directly to a <Service> element in the XRDS and supplies a getElements($name) method which you should use to inspect the element's contents. See Auth_Yadis_Yadis for more information on the role this class plays in Yadis discovery.

Located in /Auth/Yadis/XRDS.php (line 83)

Method Summary
Auth_Yadis_Service Auth_Yadis_Service ()
array getElements (string $name)
mixed getPriority ()
array getTypes ()
array getURIs ()
void matchTypes ( $type_uris)
Methods
Constructor Auth_Yadis_Service (line 88)

Creates an empty service object.

Auth_Yadis_Service Auth_Yadis_Service ()
getElements (line 201)

Used to get XML elements from this object's <Service> element.

This is what you should use to get all custom information out of this element. This is used by service filter functions to determine whether a service element contains specific tags, etc. NOTE: this only considers elements which are direct children of the <Service> element for this object.

- return: An array of elements with the specified name which are direct children of the <Service> element. The nodes returned by this function can be passed to $this->parser methods (see Auth_Yadis_XMLParser).

array getElements (string $name)

- string $name: The name of the element to look for

getPriority (line 175)

Returns the "priority" attribute value of this <Service> element, if the attribute is present. Returns null if not.

- return: Null or integer, depending on whether this Service element has a 'priority' attribute.

mixed getPriority ()
getTypes (line 100)

Return the URIs in the "Type" elements, if any, of this Service element.

- return: An array of Type URI strings.

array getTypes ()
getURIs (line 131)

Return the URIs in the "URI" elements, if any, of this Service element. The URIs are returned sorted in priority order.

- return: An array of URI strings.

array getURIs ()
matchTypes (line 112)
void matchTypes ( $type_uris)

- $type_uris

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2